XnListT< T, TAlloc >::ConstIterator Class Reference

`#include <XnListT.h>`

Inheritance diagram for XnListT< T, TAlloc >::ConstIterator:
[legend]

## Public Member Functions

| ConstIterator ()
| ConstIterator (LinkedNode *pNode)
| ConstIterator (const ConstIterator &other)
ConstIterator & | operator++ ()
ConstIterator | operator++ (int)
ConstIterator & | operator-- ()
ConstIterator | operator-- (int)
XnBool | operator== (const ConstIterator &other) const
XnBool | operator!= (const ConstIterator &other) const
T const & | operator* () const
T const * | operator-> () const

## Protected Attributes

LinkedNode * | m_pCurrent

## Friends

class | XnListT

## Detailed Description

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>
class XnListT< T, TAlloc >::ConstIterator

An iterator for iterating the list without modifying values.

## Constructor & Destructor Documentation

## ConstIterator() [1/3]

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnListT< T, TAlloc >::ConstIterator::ConstIterator | ( |  | ) |

inline

## ConstIterator() [2/3]

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnListT< T, TAlloc >::ConstIterator::ConstIterator | ( | LinkedNode * | pNode | ) |

inline

## ConstIterator() [3/3]

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnListT< T, TAlloc >::ConstIterator::ConstIterator | ( | const ConstIterator & | other | ) |

inline

## Member Function Documentation

## operator!=()

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnBool XnListT< T, TAlloc >::ConstIterator::operator!= | ( | const ConstIterator & | other | ) | const

inline

Operator to check if two iterators point to different objects

Parameters

  other | [in] instance to compare with

## operator*()

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

T const & XnListT< T, TAlloc >::ConstIterator::operator* | ( |  | ) | const

inline

Get the value of the current object (const version)

## operator++() [1/2]

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

ConstIterator & XnListT< T, TAlloc >::ConstIterator::operator++ | ( |  | ) |

inline

Support ++iterator, go to the next object in the list

## operator++() [2/2]

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

ConstIterator XnListT< T, TAlloc >::ConstIterator::operator++ | ( | int |  | ) |

inline

Support iterator++, go to the next object in the list, returning the old value

## operator--() [1/2]

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

ConstIterator & XnListT< T, TAlloc >::ConstIterator::operator-- | ( |  | ) |

inline

Support –iterator, go to the next object in the list

## operator--() [2/2]

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

ConstIterator XnListT< T, TAlloc >::ConstIterator::operator-- | ( | int |  | ) |

inline

Support iterator–, go to the next object in the list, returning the old value

## operator->()

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

T const * XnListT< T, TAlloc >::ConstIterator::operator-> | ( |  | ) | const

inline

Get a pointer to the value of the current object (const version)

## operator==()

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnBool XnListT< T, TAlloc >::ConstIterator::operator== | ( | const ConstIterator & | other | ) | const

inline

Operator to check if two iterators point to the same object

Parameters

  other | [in] instance to compare with

## Friends And Related Symbol Documentation

## XnListT

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

friend class XnListT

friend

## Member Data Documentation

## m_pCurrent

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

LinkedNode* XnListT< T, TAlloc >::ConstIterator::m_pCurrent

protected

The current XnNode

The documentation for this class was generated from the following file:

- XnListT.h